import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotDevice/` + url, ...arg)

/**
 * 设备列表Api接口管理器
 *
 * @author xiang
 * @date  2023/09/19 10:12
 **/
export default {
	// 获取设备列表分页
	depotDevicePage(data) {
		return request('page', data, 'get')
	},
	// 获取设备列表列表
	depotDeviceList(data) {
		return request('list', data, 'get')
	},
	// 提交设备列表表单 edit为true时为编辑，默认为新增
	depotDeviceSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除设备列表
	depotDeviceDelete(data) {
		return request('delete', data)
	},
	// 获取设备列表详情
	depotDeviceDetail(data) {
		return request('detail', data, 'get')
	}
}
